<?php
namespace Stock;


class Module
{

	public function getAutoloaderConfig()
	{
		return array(
			'Zend\Loader\ClassMapAutoloader' => array(
				__DIR__ . '/autoload_classmap.php',
			)
		);
	}

	public function getConfig()
	{
		return include __DIR__ . '/config/module.config.php';
	}

	public function getServiceConfig()
	{
		return array(
			'invokables' => array(
				__NAMESPACE__                                 => __NAMESPACE__ . '\Workflow',
				__NAMESPACE__ . '.Service.Stock'              => __NAMESPACE__ . '\Service\Stock',
				__NAMESPACE__ . '.Service.Utility'            => __NAMESPACE__ . '\Service\Utility',
				__NAMESPACE__ . '.Service.Accessory'          => __NAMESPACE__ . '\Service\Accessory',
				__NAMESPACE__ . '.Service.Damage'             => __NAMESPACE__ . '\Service\Damage',
				__NAMESPACE__ . '.Service.Report'             => __NAMESPACE__ . '\Service\Report',
				__NAMESPACE__ . '.Service.Pdf'                => __NAMESPACE__ . '\Service\Pdf',
				__NAMESPACE__ . '.Service.Year'               => __NAMESPACE__ . '\Service\Year',
				__NAMESPACE__ . '.Service.Category'           => __NAMESPACE__ . '\Service\Category',
				__NAMESPACE__ . '.Service.Condition'          => __NAMESPACE__ . '\Service\Condition',
				__NAMESPACE__ . '.Service.ExteriorColour'     => __NAMESPACE__ . '\Service\ExteriorColour',
				__NAMESPACE__ . '.Service.InteriorColour'     => __NAMESPACE__ . '\Service\InteriorColour',
				__NAMESPACE__ . '.Service.Upholstery'         => __NAMESPACE__ . '\Service\Upholstery',
				__NAMESPACE__ . '.Service.Paper'              => __NAMESPACE__ . '\Service\Paper',
				__NAMESPACE__ . '.Service.Natis'              => __NAMESPACE__ . '\Service\Natis',
				__NAMESPACE__ . '.Service.FullServiceHistory' => __NAMESPACE__ . '\Service\FullServiceHistory',
				__NAMESPACE__ . '.Service.TransmissionType'   => __NAMESPACE__ . '\Service\TransmissionType',
				__NAMESPACE__ . '.Service.FuelType'           => __NAMESPACE__ . '\Service\FuelType',
				__NAMESPACE__ . '.Service.Make'               => __NAMESPACE__ . '\Service\Make',
				__NAMESPACE__ . '.Service.Type'               => __NAMESPACE__ . '\Service\Type',
				__NAMESPACE__ . '.Service.PricingHistory'     => __NAMESPACE__ . '\Service\PricingHistory',
				__NAMESPACE__ . '.Service.Tuhpi'              => __NAMESPACE__ . '\Service\Tuhpi',
				__NAMESPACE__ . '.Service.BulkImport'         => __NAMESPACE__ . '\Service\BulkImport',
                __NAMESPACE__ . '.Service.Import'             => __NAMESPACE__ . '\Service\Import'
			)
		);
	}

}