<?php
namespace Stock\DataBin;



/**
 * Manage category data.
 * @author andre.fourie
 */
class Category extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Category',
			'DatasetName' => 'categories',
			'Entity'      => '\Stock\Entity\Category',
			'References'  => array(),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaList = array(
			'Contract'      => self::CONTRACT_TYPE_RECCURING,
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'name' => 'String75'
					)
			),
			'Filter' => array(),
			'Fields' => array(
				'name'
			),
			'Expand' => array()
	);
	/**
	 * @var array
	*/
	protected $metaSelectList = array(
			'Type'          => self::ACTION_TYPE_SELECT_LIST,
			'Contract'      => self::CONTRACT_TYPE_RECCURING,
			'RequiredInput' => array(),
			'OptionalInput' => array(
				   'Filter' => array(
							'name' => 'String75'
					)
			),
			'Filter'   => array(),
			'Label'    => array(
				'Format' => '[name]',
				'Fields' => array('name')
			)
	);
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Contract' => self::CONTRACT_TYPE_RECCURING,
			'RequiredInput' => array(
					'Category' => array(
							'name' => 'String75'
					)
			),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaUpdate = array(
			'Contract' => self::CONTRACT_TYPE_USE_ONCE,
			'RequiredInput' => array(
					'Category' => array(
							'name' => 'String75'
					)
			),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaDelete = array(
			'Contract' => self::CONTRACT_TYPE_USE_ONCE
	);

}