<?php
namespace Stock\Report;



/**
 * Stock Contyrol Report.
 * @author andre.fourie
 */
class StockGrid extends \Utility\Service\Report
{



	/**
	 * @var string
	 */
	protected $_title  = 'Stock Data Export';
	/**
	 * @var string
	 */
	protected $_subject = 'Vehicles in stock.';
	/**
	 * @var string
	 */
	protected $_description = 'Export of vehicles in stock.';
	/**
	 * @var array
	 */
	protected $_notes = array(
			'Confidential information, generated using Bid 4 Cars, for more information visit bid4cars.com.na'
			);
	/**
	 * @var array
	 */
	protected $_headers = array(
			'Dealer',
			'Group',
			'Division',
			'Reference Number',
			'Registration Number',
			'VIN Number',
			'Make',
			'Model',
			'Type',
			'Year',
			'Main Exterior Colour',
			'KM',
			'Trade Price',
			'Retail Price',
			'Retail Amount Required',
			'Status',
			'Created',
			'Date loaded on price guide',
			'Number of offers',
			'Highest offer',
            'Manager\'s Offer',
			'Date loaded on auction',
			'Highest bid'
			);
	/**
	 * @var array
	 */
	protected $_fields = array(
			'company_name',
			'companyGroup_name',
			'groupDivision_name',
			'stock_referenceNumber',
			'stock_registrationNumber',
			'stock_vinNumber',
			'make_name',
			'model_name',
			'type_name',
			'vehicleYear_name',
			'exteriorColour_name',
			'stock_km',
			'stock_tradePrice',
			'stock_retailPrice',
			'stock_retailAmountRequired',
			'stock_jobState',
			'stock_created',
			'stock_loadedOnPriceGuide',
			'stock_numberOfOffers',
			'stock_highestOffer',
            'valuation_amountOffered',
			'auction_created',
			'auction_currentBidPrice'
			);
	/**
	 * @var array
	 */
	protected $_totals = array(
			'stock_tradePrice',
			'stock_retailPrice',
            'stock_listPrice',
			'stock_retailAmountRequired',
			'stock_highestOffer',
      'valuation_amountOffered',
			'auction_currentBidPrice'
			);
	/**
	 * @var array
	 */
	protected $_currencyFields = array(
			'stock_tradePrice',
			'stock_retailPrice',
            'stock_listPrice',
			'stock_retailAmountRequired',
			'stock_highestOffer',
      'valuation_amountOffered',
			'auction_currentBidPrice'
			);



	/**
	 * Build the dataset, or not.
	 */
	public function build()
	{
		#-> Data passed by DataBin Grid functionality.
		$dateTimeFormat = \Utility\Definitions\Locale::getDateTimeFormat();
		foreach ($this->_data as $rowId => $rowData)
		{
			$this->_data[$rowId]['stock_created'] = $rowData['stock_created']->format($dateTimeFormat);
		}
	}

}
